/*************************************************************************\
**  source       * ha_soliddb_is.h
**  directory    * mysql
**  description  * Function interface of Information Schema extensions
**               * of solidDB Storage Engine for MySQL 5.1.
**               * 
**               * Copyright (C) 2007 Solid Information Technology Ltd
\*************************************************************************/
/*
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; only under version 2 of the License.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
  USA
*/

#ifndef HA_SOLIDDB_IS_H
#define HA_SOLIDDB_IS_H

bool schema_table_store_record(THD *thd, TABLE *table);

int soliddb_init_sys_tables(void *p);
int soliddb_init_sys_columns(void *p);
int soliddb_init_sys_columns_aux(void *p);
int soliddb_init_sys_keys(void *p);
int soliddb_init_sys_keyparts(void *p);
int soliddb_init_sys_keyparts_aux(void *p);
int soliddb_init_sys_forkeys(void *p);
int soliddb_init_sys_forkeyparts(void *p);
int soliddb_init_sys_schemas(void *p);
int soliddb_init_sys_sequences(void *p);
int soliddb_init_sys_cardinal(void *p);
int soliddb_init_sys_tablemodes(void *p);
int soliddb_init_sys_collations(void *p);
int soliddb_init_sys_info(void *p);
int soliddb_init_sys_blobs(void *p);
int soliddb_deinit_is(void *p);

#endif /* HA_SOLIDDB_IS_H */
